SBUILD-QEMU-UPDATE(1)

NAME
sbuild-qemu-update - sbuild-update analog for QEMU images

SYNOPSIS
sbuild-qemu-update [-h] [--snapshot] [--arch=ARCH] [--noexec] IMAGE

DESCRIPTION
sbuild-qemu-update boots a QEMU VM using IMAGE and then runs apt-get in it, performing update, dist-upgrade, clean and autoremove. It can optionally create a snapshot before updating.

The architecture is auto-guessed by stripping any file suffix and then splitting the image name on dashes ``-'', and finally by looking for a Debian architecture name. sid-amd64.img, amd64-temporary.image or even just amd64 would all be assumed to be amd64 images, but not amd64.rebuild-tests.img. If this guesses wrong, use the --arch option.

OPTIONS

-h, --help
    Show this help message and exit.

--snapshot
    Create a snapshot of the image before changing it. Useful for reproducibility purposes.

--arch=ARCH
    Architecture to use (instead of attempting to auto-guess).

--timeout=SECS
    Maximum time to wait for command to finish with expected result. Mostly relevant for foreign architectures, where apt-get update can take quite a while. Default: 600s.

--noexec
    Don't actually do anything. Just print the command string that would be executed, and then exit.

--boot=auto,bios,efi,ieee1275,none
    How to boot the image. Default is BIOS on amd64 and i386, EFI on arm64 and armhf, and IEEE1275 on ppc64el.

EXAMPLES
$ sbuild-qemu-update unstable-autopkgtest-amd64.img

This will update the image unstable-autopkgtest-amd64.img in the current directory. If no such file exists there, then $IMAGEDIR/unstable-autopkgtest-amd64.img is tried.

ENVIRONMENT
If $IMAGEDIR is unset, then ~/.cache/sbuild is used.

COPYRIGHT
Copyright © 2020-2022 Christian Kastner <ckk@debian.org>

SEE ALSO
sbuild(1), sbuild-qemu(1), sbuild-qemu-create(1).